Let op! Onderstaand artikel is gaat over een verouderde versie van de PostNL Magento 1 extensie. Het is raadzaam om gebruik te maken van de meest recente release.
De laatste versie en meer informatie kunt u vinden op https://tig.nl/postnl-magento-extensies

Om de PostNL extensie correct te laten functioneren na de laatste Magento security patch (SUPEE-6285) moet er een aanpassing worden gedaan in de volgende bestanden:


  • app/code/community/TIG/PostNL/controllers/Adminhtml/ConfigController.php
  • app/code/community/TIG/PostNL/controllers/Adminhtml/ExtensionControlController.php
  • app/code/community/TIG/PostNL/controllers/Adminhtml/ShipmentController.php

Voeg in deze bestanden onderaan het bestand, voor de laatste '}' de volgende code toe:


/**
* Actions are always allowed as access validation is handled separately in each individual action.
*
* @return bool
*/
protected function _isAllowed()
{
return true;
}


Deze aanpassing is nodig, omdat Magento in deze laatste patch alle backend functionaliteiten heeft afgeschermd voor beheerders met beperkte rechten. Dit heeft Magento gedaan om de beviliging te vergroten. De PostNL extensie heeft deze veiligheidsmaatregelen echter afgevangen op andere plekken in de code, waardoor de patch conflicteerd. De genoemde aanpassing zorgt ervoor dat de PostNL extensie en de patch correct samenwerken en de hoogste veiligheidsstandaarden hanteren.

Installatiehulp nodig bij de PostNL extensie? Stuur dan eerst een e-mail naar digitaleklantsupport@postnl.nl of bel met PostNL op telefoonnummer 088-2255651. TIG kan u helpen zodra wij uw casenummer hebben van PostNL.

Heeft u feedback? Wij horen het graag op 020-2181001 of per e-mail op support@tig.nl.

  • No labels